package com.iamberry.wechat.core.entity.thanksgiving;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  活动-领取优惠券类
 * @author
 * @Date 2018-12-11
 */
public class ThanksGiving  implements  Serializable{
    private static final long serialVersionUID = 4870415709390973071L;
    //
    private Integer thanksGivingId;
    //电话号码
    private String thanksGivingPhone;
    //领取状态 1:未领取 2:已领取
    private Integer thanksGivingStatus;
    //领取时间
    private Date thanksGivingTime;
    //领取人openid'
    private String thanksGivingOpenId;
    //领取的优惠券id'
    private String couponItemId;
    //领取的优惠券id'
    private String thanksGivingName;

    public Integer getThanksGivingId(){
        return thanksGivingId;
    }

    public void setThanksGivingId(Integer  thanksGivingId){
        this.thanksGivingId=thanksGivingId;
    }

    public String getThanksGivingPhone(){
        return thanksGivingPhone;
    }

    public void setThanksGivingPhone(String  thanksGivingPhone){
        this.thanksGivingPhone=thanksGivingPhone;
    }

    public Integer getThanksGivingStatus(){
        return thanksGivingStatus;
    }

    public void setThanksGivingStatus(Integer  thanksGivingStatus){
        this.thanksGivingStatus=thanksGivingStatus;
    }

    public Date getThanksGivingTime(){
        return thanksGivingTime;
    }

    public void setThanksGivingTime(Date  thanksGivingTime){
        this.thanksGivingTime=thanksGivingTime;
    }

    public String getThanksGivingOpenId(){
        return thanksGivingOpenId;
    }

    public void setThanksGivingOpenId(String  thanksGivingOpenId){
        this.thanksGivingOpenId=thanksGivingOpenId;
    }

    public String getCouponItemId() {
        return couponItemId;
    }

    public void setCouponItemId(String couponItemId) {
        this.couponItemId = couponItemId;
    }

    public String getThanksGivingName() {
        return thanksGivingName;
    }

    public void setThanksGivingName(String thanksGivingName) {
        this.thanksGivingName = thanksGivingName;
    }
}